CHILL(8)

NAME
chill - remove useful pages from the virtual memory cache

SYNOPSIS
chill [ -c cycles ] [ -f factor ] [ -m memsize ]

DESCRIPTION

chill is a command designed to cool off the system by removing any useful (to a process) pages from the virtual memory cache. chill does this by creating a large pool of private pages, and then cycling through the pool, dirtying every page. Currently, this forces chill's pages to be hot, which forces out all the other (non-locked) pages in the system. Then when chill exits, all its private pages are put on the free list, leaving no useful pages in memory.

With no options specified, the size of the pool created by chill is twice the amount of pageable memory, and it is cycled through just once. This seems to give correct results with minimal overhead.

However, the size of the pool may be explicitly specified as memsize, or as factor times the amount of pageable memory. memsize overrides the factor specification. The cycle count may be specified as cycles.

OPTIONS

-c cycles
    Set the cycle count to cycles. The default is 1.

-f factor
    Set the expansion factor to factor. The default is 2.

-m memsize
    Set the memory size to memsize. The default is unspecified, which means that factor times the amount of pageable memory will be used.

BUGS

chill is dependent on implementation details which are subject to change.